#!/bin/bash

name=strawberry
version="0.2.1"
gitrev="OFF"
root=$(cd "${0%/*}/../.." && echo $PWD/${0##*/})
root=`dirname "$root"`
rootnoslash=`echo $root | sed "s/^\///"`

if ! [ "$gitrev" = "ON" ]; then
  exclude_vcs="--exclude-vcs"
fi

echo "Creating $name-$version.tar.xz..."

rm -f "$name-$version.tar.xz"
tar -cJf $name-$version.tar.xz \
    --transform "s,^$rootnoslash,$name-$version," $exclude_vcs \
    --exclude "*.tar" \
    --exclude "*.tar.*" \
    --exclude "*.bz" \
    --exclude "*.bz2" \
    --exclude "*.xz" \
    --exclude ".directory" \
    --exclude "$root/CMakeLists.txt.user" \
    --exclude "$root/build" \
    "$root"
